import { OnInit } from '@angular/core';
import { Icon, IconSize } from '../icon/icon.component';
export declare const avatarSizes: readonly ["s", "m", "l"];
export declare type AvatarSize = typeof avatarSizes[number];
export declare class AvatarComponent implements OnInit {
    size: AvatarSize;
    role: string;
    icon: Icon;
    imageUrl: string;
    imageAlt: string;
    text: string;
    constructor();
    ngOnInit(): void;
    get iconSize(): IconSize;
    get iconStroke(): number;
}
